This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 863988

Summary: perl-Coro-6.09 bundles libecb
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: perl-CoroAssignee: Petr Pisar <ppisar>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: a.badger, bochecha, kwizart, mmaslano, perl-devel, ppisar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://fedorahosted.org/fpc/ticket/220
Whiteboard:
Fixed In Version: perl-Coro-6.10-3.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-10 16:38:08 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 864066    
Bug Blocks: 504493    

Description Petr Pisar 2012-10-08 05:21:12 EDT
Coro-6.09 sources bundles ecb.h file from libecb project <http://software.schmorp.de/pkg/libecb>.
Comment 1 Petr Pisar 2012-10-08 08:53:13 EDT
FPC request for bundling exception <https://fedorahosted.org/fpc/ticket/220>.
Comment 2 Petr Pisar 2012-10-09 03:12:04 EDT
FPC resolved this problem as linking to static library which is pre-approved.
Comment 3 Toshio Ernie Kuratomi 2012-10-22 11:34:47 EDT
More clear to say that we're going to use the system copy of ecb.h instead of the bundled version.  That will turn this into a statc linking issue which is pre-approved.

Commit 0d536279761f525793538ab276bd8023be494083  implements this.

Note that  Provides: bundled(libecb)  isn't necessary here as this is a statically linked library rather than bundled.
Comment 4 Petr Pisar 2012-10-22 11:57:23 EDT
The bundle() provide has been removed in perl-Coro-6.10-3.fc19 and perl-Coro-6.09-4.fc18.
Comment 5 Fedora Update System 2012-10-22 12:09:57 EDT
perl-Coro-6.09-4.fc18, libecb-0.20121008-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libecb-0.20121008-1.fc18,perl-Coro-6.09-4.fc18
Comment 6 Fedora Update System 2012-10-23 02:43:51 EDT
Package perl-Coro-6.09-4.fc18, libecb-0.20121008-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Coro-6.09-4.fc18 libecb-0.20121008-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16684/libecb-0.20121008-1.fc18,perl-Coro-6.09-4.fc18
then log in and leave karma (feedback).